aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeremy Messenger <mezz@FreeBSD.org>2007-10-30 04:56:14 +0000
committerJeremy Messenger <mezz@FreeBSD.org>2007-10-30 04:56:14 +0000
commit313a5a033e2f73e726bcb4db7228e7c0ade340f5 (patch)
tree8c306b05a9c048317c0f9619a3d3d9940e151f2f
parent84076b179dc73cf484c283904b3717eca41c932f (diff)
downloadports-313a5a033e2f73e726bcb4db7228e7c0ade340f5.tar.gz
ports-313a5a033e2f73e726bcb4db7228e7c0ade340f5.zip
Update to 0.91.
Notes
Notes: svn path=/head/; revision=202399
-rw-r--r--net-p2p/transmission-cli/Makefile10
-rw-r--r--net-p2p/transmission-cli/distinfo6
-rw-r--r--net-p2p/transmission-cli/files/patch-configure779
-rw-r--r--net-p2p/transmission-gtk2/Makefile2
-rw-r--r--net-p2p/transmission/Makefile10
-rw-r--r--net-p2p/transmission/distinfo6
-rw-r--r--net-p2p/transmission/files/patch-configure779
7 files changed, 1577 insertions, 15 deletions
diff --git a/net-p2p/transmission-cli/Makefile b/net-p2p/transmission-cli/Makefile
index b071e6ab8f77..4a8fc3bac4df 100644
--- a/net-p2p/transmission-cli/Makefile
+++ b/net-p2p/transmission-cli/Makefile
@@ -6,7 +6,7 @@
#
PORTNAME= transmission
-PORTVERSION= 0.90
+PORTVERSION= 0.91
PORTREVISION?= 0
CATEGORIES= net-p2p
MASTER_SITES= http://download.m0k.org/${PORTNAME}/files/
@@ -21,12 +21,12 @@ USE_OPENSSL= yes
GNU_CONFIGURE= yes
CONFIGURE_ENV= CPPFLAGS="-I${LOCALBASE}/include" \
LDFLAGS="-L${LOCALBASE}/lib"
-# --without-gtk broke configure, CUSTOM_SUBDIRS (manual) will taking care of it.
-CONFIGURE_ARGS?=--without-wx
+CONFIGURE_ARGS?=--without-gtk \
+ --without-wx
CUSTOM_SUBDIRS?=third-party libtransmission cli
DOCS= AUTHORS LICENSE NEWS README
-#MAN1?= transmissioncli.1
+MAN1?= transmissioncli.1
general-patch:
@${REINPLACE_CMD} -e \
@@ -36,6 +36,8 @@ general-patch:
${WRKSRC}/configure
@${REINPLACE_CMD} -e 's|%%CUSTOM_SUBDIRS%%|${CUSTOM_SUBDIRS}|g' \
${WRKSRC}/Makefile.in
+ @${FIND} ${WRKSRC} -name Makefile.in | ${XARGS} ${REINPLACE_CMD} -e \
+ 's|$$(OPENSSL_CFLAGS)||g ; s|$$(OPENSSL_LIBS)||g'
post-patch: general-patch
diff --git a/net-p2p/transmission-cli/distinfo b/net-p2p/transmission-cli/distinfo
index cd610c70e49d..89c3e84e6894 100644
--- a/net-p2p/transmission-cli/distinfo
+++ b/net-p2p/transmission-cli/distinfo
@@ -1,3 +1,3 @@
-MD5 (transmission-0.90.tar.bz2) = faebea05e9fc2e5d6c0615037657fd8f
-SHA256 (transmission-0.90.tar.bz2) = d0786700c8d9292d2b310bd4323ff836c8efcc9ff05e86630cbafdc1f2880aa8
-SIZE (transmission-0.90.tar.bz2) = 3038152
+MD5 (transmission-0.91.tar.bz2) = 7ab1d4eb381ac226008541748a06e5cf
+SHA256 (transmission-0.91.tar.bz2) = 2c722e21759d546bf62f30af83ae1d3036b082976088e0ecbda486b573397c69
+SIZE (transmission-0.91.tar.bz2) = 2630160
diff --git a/net-p2p/transmission-cli/files/patch-configure b/net-p2p/transmission-cli/files/patch-configure
new file mode 100644
index 000000000000..8f59562f2100
--- /dev/null
+++ b/net-p2p/transmission-cli/files/patch-configure
@@ -0,0 +1,779 @@
+--- configure.orig 2007-10-29 13:41:33.000000000 -0500
++++ configure 2007-10-29 13:44:51.000000000 -0500
+@@ -880,11 +880,9 @@
+ PTHREAD_CC
+ PTHREAD_LIBS
+ PTHREAD_CFLAGS
+-PKG_CONFIG
+-OPENSSL_CFLAGS
+-OPENSSL_LIBS
+ subdirs
+ LIBEVENT_CPPFLAGS
++PKG_CONFIG
+ GTK_CFLAGS
+ GTK_LIBS
+ WITH_GTK_TRUE
+@@ -971,8 +969,6 @@
+ F77
+ FFLAGS
+ PKG_CONFIG
+-OPENSSL_CFLAGS
+-OPENSSL_LIBS
+ GTK_CFLAGS
+ GTK_LIBS'
+ ac_subdirs_all='third-party/libevent'
+@@ -1592,10 +1588,6 @@
+ F77 Fortran 77 compiler command
+ FFLAGS Fortran 77 compiler flags
+ PKG_CONFIG path to pkg-config utility
+- OPENSSL_CFLAGS
+- C compiler flags for OPENSSL, overriding pkg-config
+- OPENSSL_LIBS
+- linker flags for OPENSSL, overriding pkg-config
+ GTK_CFLAGS C compiler flags for GTK, overriding pkg-config
+ GTK_LIBS linker flags for GTK, overriding pkg-config
+
+@@ -4491,7 +4483,7 @@
+ ;;
+ *-*-irix6*)
+ # Find out which ABI we are using.
+- echo '#line 4494 "configure"' > conftest.$ac_ext
++ echo '#line 4486 "configure"' > conftest.$ac_ext
+ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>&5
+ ac_status=$?
+@@ -7222,11 +7214,11 @@
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:7225: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:7217: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>conftest.err)
+ ac_status=$?
+ cat conftest.err >&5
+- echo "$as_me:7229: \$? = $ac_status" >&5
++ echo "$as_me:7221: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s "$ac_outfile"; then
+ # The compiler can only warn and ignore the option if not recognized
+ # So say no if there are warnings other than the usual output.
+@@ -7490,11 +7482,11 @@
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:7493: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:7485: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>conftest.err)
+ ac_status=$?
+ cat conftest.err >&5
+- echo "$as_me:7497: \$? = $ac_status" >&5
++ echo "$as_me:7489: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s "$ac_outfile"; then
+ # The compiler can only warn and ignore the option if not recognized
+ # So say no if there are warnings other than the usual output.
+@@ -7594,11 +7586,11 @@
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:7597: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:7589: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>out/conftest.err)
+ ac_status=$?
+ cat out/conftest.err >&5
+- echo "$as_me:7601: \$? = $ac_status" >&5
++ echo "$as_me:7593: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s out/conftest2.$ac_objext
+ then
+ # The compiler can only warn and ignore the option if not recognized
+@@ -9059,7 +9051,7 @@
+ libsuff=
+ case "$host_cpu" in
+ x86_64*|s390x*|powerpc64*)
+- echo '#line 9062 "configure"' > conftest.$ac_ext
++ echo '#line 9054 "configure"' > conftest.$ac_ext
+ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>&5
+ ac_status=$?
+@@ -9923,7 +9915,7 @@
+ lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
+ lt_status=$lt_dlunknown
+ cat > conftest.$ac_ext <<EOF
+-#line 9926 "configure"
++#line 9918 "configure"
+ #include "confdefs.h"
+
+ #if HAVE_DLFCN_H
+@@ -10023,7 +10015,7 @@
+ lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
+ lt_status=$lt_dlunknown
+ cat > conftest.$ac_ext <<EOF
+-#line 10026 "configure"
++#line 10018 "configure"
+ #include "confdefs.h"
+
+ #if HAVE_DLFCN_H
+@@ -12359,11 +12351,11 @@
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:12362: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:12354: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>conftest.err)
+ ac_status=$?
+ cat conftest.err >&5
+- echo "$as_me:12366: \$? = $ac_status" >&5
++ echo "$as_me:12358: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s "$ac_outfile"; then
+ # The compiler can only warn and ignore the option if not recognized
+ # So say no if there are warnings other than the usual output.
+@@ -12463,11 +12455,11 @@
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:12466: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:12458: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>out/conftest.err)
+ ac_status=$?
+ cat out/conftest.err >&5
+- echo "$as_me:12470: \$? = $ac_status" >&5
++ echo "$as_me:12462: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s out/conftest2.$ac_objext
+ then
+ # The compiler can only warn and ignore the option if not recognized
+@@ -12999,7 +12991,7 @@
+ libsuff=
+ case "$host_cpu" in
+ x86_64*|s390x*|powerpc64*)
+- echo '#line 13002 "configure"' > conftest.$ac_ext
++ echo '#line 12994 "configure"' > conftest.$ac_ext
+ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>&5
+ ac_status=$?
+@@ -14054,11 +14046,11 @@
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:14057: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:14049: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>conftest.err)
+ ac_status=$?
+ cat conftest.err >&5
+- echo "$as_me:14061: \$? = $ac_status" >&5
++ echo "$as_me:14053: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s "$ac_outfile"; then
+ # The compiler can only warn and ignore the option if not recognized
+ # So say no if there are warnings other than the usual output.
+@@ -14158,11 +14150,11 @@
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:14161: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:14153: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>out/conftest.err)
+ ac_status=$?
+ cat out/conftest.err >&5
+- echo "$as_me:14165: \$? = $ac_status" >&5
++ echo "$as_me:14157: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s out/conftest2.$ac_objext
+ then
+ # The compiler can only warn and ignore the option if not recognized
+@@ -15603,7 +15595,7 @@
+ libsuff=
+ case "$host_cpu" in
+ x86_64*|s390x*|powerpc64*)
+- echo '#line 15606 "configure"' > conftest.$ac_ext
++ echo '#line 15598 "configure"' > conftest.$ac_ext
+ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>&5
+ ac_status=$?
+@@ -16377,11 +16369,11 @@
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:16380: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:16372: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>conftest.err)
+ ac_status=$?
+ cat conftest.err >&5
+- echo "$as_me:16384: \$? = $ac_status" >&5
++ echo "$as_me:16376: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s "$ac_outfile"; then
+ # The compiler can only warn and ignore the option if not recognized
+ # So say no if there are warnings other than the usual output.
+@@ -16645,11 +16637,11 @@
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:16648: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:16640: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>conftest.err)
+ ac_status=$?
+ cat conftest.err >&5
+- echo "$as_me:16652: \$? = $ac_status" >&5
++ echo "$as_me:16644: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s "$ac_outfile"; then
+ # The compiler can only warn and ignore the option if not recognized
+ # So say no if there are warnings other than the usual output.
+@@ -16749,11 +16741,11 @@
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:16752: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:16744: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>out/conftest.err)
+ ac_status=$?
+ cat out/conftest.err >&5
+- echo "$as_me:16756: \$? = $ac_status" >&5
++ echo "$as_me:16748: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s out/conftest2.$ac_objext
+ then
+ # The compiler can only warn and ignore the option if not recognized
+@@ -18214,7 +18206,7 @@
+ libsuff=
+ case "$host_cpu" in
+ x86_64*|s390x*|powerpc64*)
+- echo '#line 18217 "configure"' > conftest.$ac_ext
++ echo '#line 18209 "configure"' > conftest.$ac_ext
+ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>&5
+ ac_status=$?
+@@ -21670,6 +21662,148 @@
+
+
+
++
++{ echo "$as_me:$LINENO: checking for CRYPTO_new_ex_data in -lcrypto" >&5
++echo $ECHO_N "checking for CRYPTO_new_ex_data in -lcrypto... $ECHO_C" >&6; }
++if test "${ac_cv_lib_crypto_CRYPTO_new_ex_data+set}" = set; then
++ echo $ECHO_N "(cached) $ECHO_C" >&6
++else
++ ac_check_lib_save_LIBS=$LIBS
++LIBS="-lcrypto $LIBS"
++cat >conftest.$ac_ext <<_ACEOF
++/* confdefs.h. */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h. */
++
++/* Override any GCC internal prototype to avoid an error.
++ Use char because int might match the return type of a GCC
++ builtin and then its argument prototype would still apply. */
++#ifdef __cplusplus
++extern "C"
++#endif
++char CRYPTO_new_ex_data ();
++int
++main ()
++{
++return CRYPTO_new_ex_data ();
++ ;
++ return 0;
++}
++_ACEOF
++rm -f conftest.$ac_objext conftest$ac_exeext
++if { (ac_try="$ac_link"
++case "(($ac_try" in
++ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
++ *) ac_try_echo=$ac_try;;
++esac
++eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
++ (eval "$ac_link") 2>conftest.er1
++ ac_status=$?
++ grep -v '^ *+' conftest.er1 >conftest.err
++ rm -f conftest.er1
++ cat conftest.err >&5
++ echo "$as_me:$LINENO: \$? = $ac_status" >&5
++ (exit $ac_status); } && {
++ test -z "$ac_c_werror_flag" ||
++ test ! -s conftest.err
++ } && test -s conftest$ac_exeext &&
++ $as_test_x conftest$ac_exeext; then
++ ac_cv_lib_crypto_CRYPTO_new_ex_data=yes
++else
++ echo "$as_me: failed program was:" >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
++ ac_cv_lib_crypto_CRYPTO_new_ex_data=no
++fi
++
++rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
++ conftest$ac_exeext conftest.$ac_ext
++LIBS=$ac_check_lib_save_LIBS
++fi
++{ echo "$as_me:$LINENO: result: $ac_cv_lib_crypto_CRYPTO_new_ex_data" >&5
++echo "${ECHO_T}$ac_cv_lib_crypto_CRYPTO_new_ex_data" >&6; }
++if test $ac_cv_lib_crypto_CRYPTO_new_ex_data = yes; then
++ cat >>confdefs.h <<_ACEOF
++#define HAVE_LIBCRYPTO 1
++_ACEOF
++
++ LIBS="-lcrypto $LIBS"
++
++fi
++
++
++{ echo "$as_me:$LINENO: checking for SSL_library_init in -lssl" >&5
++echo $ECHO_N "checking for SSL_library_init in -lssl... $ECHO_C" >&6; }
++if test "${ac_cv_lib_ssl_SSL_library_init+set}" = set; then
++ echo $ECHO_N "(cached) $ECHO_C" >&6
++else
++ ac_check_lib_save_LIBS=$LIBS
++LIBS="-lssl $LIBS"
++cat >conftest.$ac_ext <<_ACEOF
++/* confdefs.h. */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h. */
++
++/* Override any GCC internal prototype to avoid an error.
++ Use char because int might match the return type of a GCC
++ builtin and then its argument prototype would still apply. */
++#ifdef __cplusplus
++extern "C"
++#endif
++char SSL_library_init ();
++int
++main ()
++{
++return SSL_library_init ();
++ ;
++ return 0;
++}
++_ACEOF
++rm -f conftest.$ac_objext conftest$ac_exeext
++if { (ac_try="$ac_link"
++case "(($ac_try" in
++ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
++ *) ac_try_echo=$ac_try;;
++esac
++eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
++ (eval "$ac_link") 2>conftest.er1
++ ac_status=$?
++ grep -v '^ *+' conftest.er1 >conftest.err
++ rm -f conftest.er1
++ cat conftest.err >&5
++ echo "$as_me:$LINENO: \$? = $ac_status" >&5
++ (exit $ac_status); } && {
++ test -z "$ac_c_werror_flag" ||
++ test ! -s conftest.err
++ } && test -s conftest$ac_exeext &&
++ $as_test_x conftest$ac_exeext; then
++ ac_cv_lib_ssl_SSL_library_init=yes
++else
++ echo "$as_me: failed program was:" >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
++ ac_cv_lib_ssl_SSL_library_init=no
++fi
++
++rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
++ conftest$ac_exeext conftest.$ac_ext
++LIBS=$ac_check_lib_save_LIBS
++fi
++{ echo "$as_me:$LINENO: result: $ac_cv_lib_ssl_SSL_library_init" >&5
++echo "${ECHO_T}$ac_cv_lib_ssl_SSL_library_init" >&6; }
++if test $ac_cv_lib_ssl_SSL_library_init = yes; then
++ cat >>confdefs.h <<_ACEOF
++#define HAVE_LIBSSL 1
++_ACEOF
++
++ LIBS="-lssl $LIBS"
++
++fi
++
+ { echo "$as_me:$LINENO: checking for library containing socket" >&5
+ echo $ECHO_N "checking for library containing socket... $ECHO_C" >&6; }
+ if test "${ac_cv_search_socket+set}" = set; then
+@@ -21838,6 +21972,123 @@
+
+
+
++{ echo "$as_me:$LINENO: checking how to copy va_list" >&5
++echo $ECHO_N "checking how to copy va_list... $ECHO_C" >&6; }
++cat >conftest.$ac_ext <<_ACEOF
++/* confdefs.h. */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h. */
++#include <stdarg.h>
++int
++main ()
++{
++va_list ap1, ap2; va_copy(ap1, ap2);
++ ;
++ return 0;
++}
++_ACEOF
++rm -f conftest.$ac_objext conftest$ac_exeext
++if { (ac_try="$ac_link"
++case "(($ac_try" in
++ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
++ *) ac_try_echo=$ac_try;;
++esac
++eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
++ (eval "$ac_link") 2>conftest.er1
++ ac_status=$?
++ grep -v '^ *+' conftest.er1 >conftest.err
++ rm -f conftest.er1
++ cat conftest.err >&5
++ echo "$as_me:$LINENO: \$? = $ac_status" >&5
++ (exit $ac_status); } && {
++ test -z "$ac_c_werror_flag" ||
++ test ! -s conftest.err
++ } && test -s conftest$ac_exeext &&
++ $as_test_x conftest$ac_exeext; then
++ { echo "$as_me:$LINENO: result: va_copy" >&5
++echo "${ECHO_T}va_copy" >&6; }
++else
++ echo "$as_me: failed program was:" >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
++
++
++ cat >conftest.$ac_ext <<_ACEOF
++/* confdefs.h. */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h. */
++#include <stdarg.h>
++int
++main ()
++{
++va_list ap1, ap2; __va_copy(ap1, ap2);
++ ;
++ return 0;
++}
++_ACEOF
++rm -f conftest.$ac_objext conftest$ac_exeext
++if { (ac_try="$ac_link"
++case "(($ac_try" in
++ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
++ *) ac_try_echo=$ac_try;;
++esac
++eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
++ (eval "$ac_link") 2>conftest.er1
++ ac_status=$?
++ grep -v '^ *+' conftest.er1 >conftest.err
++ rm -f conftest.er1
++ cat conftest.err >&5
++ echo "$as_me:$LINENO: \$? = $ac_status" >&5
++ (exit $ac_status); } && {
++ test -z "$ac_c_werror_flag" ||
++ test ! -s conftest.err
++ } && test -s conftest$ac_exeext &&
++ $as_test_x conftest$ac_exeext; then
++ cat >>confdefs.h <<\_ACEOF
++#define va_copy __va_copy
++_ACEOF
++
++ { echo "$as_me:$LINENO: result: __va_copy" >&5
++echo "${ECHO_T}__va_copy" >&6; }
++else
++ echo "$as_me: failed program was:" >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
++ cat >>confdefs.h <<\_ACEOF
++#define va_copy(dest,src) memcpy(&dest,&src,sizeof(va_list))
++_ACEOF
++
++ { echo "$as_me:$LINENO: result: memcpy" >&5
++echo "${ECHO_T}memcpy" >&6; }
++
++fi
++
++rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
++ conftest$ac_exeext conftest.$ac_ext
++
++fi
++
++rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
++ conftest$ac_exeext conftest.$ac_ext
++
++
++
++subdirs="$subdirs third-party/libevent"
++
++{ echo "$as_me:$LINENO: invoking libevent's configure script" >&5
++echo "$as_me: invoking libevent's configure script" >&6;}
++LIBEVENT_CPPFLAGS="-I\$(top_srcdir)/third-party/libevent"
++
++
++
++
++have_gtk=yes
++
++
+ if test "x$ac_cv_env_PKG_CONFIG_set" != "xset"; then
+ if test -n "$ac_tool_prefix"; then
+ # Extract the first word of "${ac_tool_prefix}pkg-config", so it can be a program name with args.
+@@ -21958,234 +22209,6 @@
+ fi
+
+ pkg_failed=no
+-{ echo "$as_me:$LINENO: checking for OPENSSL" >&5
+-echo $ECHO_N "checking for OPENSSL... $ECHO_C" >&6; }
+-
+-if test -n "$PKG_CONFIG"; then
+- if test -n "$OPENSSL_CFLAGS"; then
+- pkg_cv_OPENSSL_CFLAGS="$OPENSSL_CFLAGS"
+- else
+- if test -n "$PKG_CONFIG" && \
+- { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"openssl >= 0.9.8\"") >&5
+- ($PKG_CONFIG --exists --print-errors "openssl >= 0.9.8") 2>&5
+- ac_status=$?
+- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+- (exit $ac_status); }; then
+- pkg_cv_OPENSSL_CFLAGS=`$PKG_CONFIG --cflags "openssl >= 0.9.8" 2>/dev/null`
+-else
+- pkg_failed=yes
+-fi
+- fi
+-else
+- pkg_failed=untried
+-fi
+-if test -n "$PKG_CONFIG"; then
+- if test -n "$OPENSSL_LIBS"; then
+- pkg_cv_OPENSSL_LIBS="$OPENSSL_LIBS"
+- else
+- if test -n "$PKG_CONFIG" && \
+- { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"openssl >= 0.9.8\"") >&5
+- ($PKG_CONFIG --exists --print-errors "openssl >= 0.9.8") 2>&5
+- ac_status=$?
+- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+- (exit $ac_status); }; then
+- pkg_cv_OPENSSL_LIBS=`$PKG_CONFIG --libs "openssl >= 0.9.8" 2>/dev/null`
+-else
+- pkg_failed=yes
+-fi
+- fi
+-else
+- pkg_failed=untried
+-fi
+-
+-
+-
+-if test $pkg_failed = yes; then
+-
+-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+- _pkg_short_errors_supported=yes
+-else
+- _pkg_short_errors_supported=no
+-fi
+- if test $_pkg_short_errors_supported = yes; then
+- OPENSSL_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "openssl >= 0.9.8"`
+- else
+- OPENSSL_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "openssl >= 0.9.8"`
+- fi
+- # Put the nasty error message in config.log where it belongs
+- echo "$OPENSSL_PKG_ERRORS" >&5
+-
+- { { echo "$as_me:$LINENO: error: Package requirements (openssl >= 0.9.8) were not met:
+-
+-$OPENSSL_PKG_ERRORS
+-
+-Consider adjusting the PKG_CONFIG_PATH environment variable if you
+-installed software in a non-standard prefix.
+-
+-Alternatively, you may set the environment variables OPENSSL_CFLAGS
+-and OPENSSL_LIBS to avoid the need to call pkg-config.
+-See the pkg-config man page for more details.
+-" >&5
+-echo "$as_me: error: Package requirements (openssl >= 0.9.8) were not met:
+-
+-$OPENSSL_PKG_ERRORS
+-
+-Consider adjusting the PKG_CONFIG_PATH environment variable if you
+-installed software in a non-standard prefix.
+-
+-Alternatively, you may set the environment variables OPENSSL_CFLAGS
+-and OPENSSL_LIBS to avoid the need to call pkg-config.
+-See the pkg-config man page for more details.
+-" >&2;}
+- { (exit 1); exit 1; }; }
+-elif test $pkg_failed = untried; then
+- { { echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old. Make sure it
+-is in your PATH or set the PKG_CONFIG environment variable to the full
+-path to pkg-config.
+-
+-Alternatively, you may set the environment variables OPENSSL_CFLAGS
+-and OPENSSL_LIBS to avoid the need to call pkg-config.
+-See the pkg-config man page for more details.
+-
+-To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
+-See \`config.log' for more details." >&5
+-echo "$as_me: error: The pkg-config script could not be found or is too old. Make sure it
+-is in your PATH or set the PKG_CONFIG environment variable to the full
+-path to pkg-config.
+-
+-Alternatively, you may set the environment variables OPENSSL_CFLAGS
+-and OPENSSL_LIBS to avoid the need to call pkg-config.
+-See the pkg-config man page for more details.
+-
+-To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
+-See \`config.log' for more details." >&2;}
+- { (exit 1); exit 1; }; }
+-else
+- OPENSSL_CFLAGS=$pkg_cv_OPENSSL_CFLAGS
+- OPENSSL_LIBS=$pkg_cv_OPENSSL_LIBS
+- { echo "$as_me:$LINENO: result: yes" >&5
+-echo "${ECHO_T}yes" >&6; }
+- :
+-fi
+-
+-
+-{ echo "$as_me:$LINENO: checking how to copy va_list" >&5
+-echo $ECHO_N "checking how to copy va_list... $ECHO_C" >&6; }
+-cat >conftest.$ac_ext <<_ACEOF
+-/* confdefs.h. */
+-_ACEOF
+-cat confdefs.h >>conftest.$ac_ext
+-cat >>conftest.$ac_ext <<_ACEOF
+-/* end confdefs.h. */
+-#include <stdarg.h>
+-int
+-main ()
+-{
+-va_list ap1, ap2; va_copy(ap1, ap2);
+- ;
+- return 0;
+-}
+-_ACEOF
+-rm -f conftest.$ac_objext conftest$ac_exeext
+-if { (ac_try="$ac_link"
+-case "(($ac_try" in
+- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+- *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+- (eval "$ac_link") 2>conftest.er1
+- ac_status=$?
+- grep -v '^ *+' conftest.er1 >conftest.err
+- rm -f conftest.er1
+- cat conftest.err >&5
+- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+- (exit $ac_status); } && {
+- test -z "$ac_c_werror_flag" ||
+- test ! -s conftest.err
+- } && test -s conftest$ac_exeext &&
+- $as_test_x conftest$ac_exeext; then
+- { echo "$as_me:$LINENO: result: va_copy" >&5
+-echo "${ECHO_T}va_copy" >&6; }
+-else
+- echo "$as_me: failed program was:" >&5
+-sed 's/^/| /' conftest.$ac_ext >&5
+-
+-
+-
+- cat >conftest.$ac_ext <<_ACEOF
+-/* confdefs.h. */
+-_ACEOF
+-cat confdefs.h >>conftest.$ac_ext
+-cat >>conftest.$ac_ext <<_ACEOF
+-/* end confdefs.h. */
+-#include <stdarg.h>
+-int
+-main ()
+-{
+-va_list ap1, ap2; __va_copy(ap1, ap2);
+- ;
+- return 0;
+-}
+-_ACEOF
+-rm -f conftest.$ac_objext conftest$ac_exeext
+-if { (ac_try="$ac_link"
+-case "(($ac_try" in
+- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+- *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+- (eval "$ac_link") 2>conftest.er1
+- ac_status=$?
+- grep -v '^ *+' conftest.er1 >conftest.err
+- rm -f conftest.er1
+- cat conftest.err >&5
+- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+- (exit $ac_status); } && {
+- test -z "$ac_c_werror_flag" ||
+- test ! -s conftest.err
+- } && test -s conftest$ac_exeext &&
+- $as_test_x conftest$ac_exeext; then
+- cat >>confdefs.h <<\_ACEOF
+-#define va_copy __va_copy
+-_ACEOF
+-
+- { echo "$as_me:$LINENO: result: __va_copy" >&5
+-echo "${ECHO_T}__va_copy" >&6; }
+-else
+- echo "$as_me: failed program was:" >&5
+-sed 's/^/| /' conftest.$ac_ext >&5
+-
+- cat >>confdefs.h <<\_ACEOF
+-#define va_copy(dest,src) memcpy(&dest,&src,sizeof(va_list))
+-_ACEOF
+-
+- { echo "$as_me:$LINENO: result: memcpy" >&5
+-echo "${ECHO_T}memcpy" >&6; }
+-
+-fi
+-
+-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+- conftest$ac_exeext conftest.$ac_ext
+-
+-fi
+-
+-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+- conftest$ac_exeext conftest.$ac_ext
+-
+-
+-
+-subdirs="$subdirs third-party/libevent"
+-
+-{ echo "$as_me:$LINENO: invoking libevent's configure script" >&5
+-echo "$as_me: invoking libevent's configure script" >&6;}
+-LIBEVENT_CPPFLAGS="-I\$(top_srcdir)/third-party/libevent"
+-
+-
+-
+-
+-have_gtk=yes
+-
+-pkg_failed=no
+ { echo "$as_me:$LINENO: checking for GTK" >&5
+ echo $ECHO_N "checking for GTK... $ECHO_C" >&6; }
+
+@@ -24924,8 +24947,9 @@
+ { (exit 1); exit 1; }; }
+ fi
+
++if test "x$use_gtk" = "xyes"; then
+ ac_config_commands="$ac_config_commands po/stamp-it"
+-
++fi
+
+ if test -z "${HAVE_WX_TRUE}" && test -z "${HAVE_WX_FALSE}"; then
+ { { echo "$as_me:$LINENO: error: conditional \"HAVE_WX\" was never defined.
+@@ -25642,11 +25666,9 @@
+ PTHREAD_CC!$PTHREAD_CC$ac_delim
+ PTHREAD_LIBS!$PTHREAD_LIBS$ac_delim
+ PTHREAD_CFLAGS!$PTHREAD_CFLAGS$ac_delim
+-PKG_CONFIG!$PKG_CONFIG$ac_delim
+-OPENSSL_CFLAGS!$OPENSSL_CFLAGS$ac_delim
+-OPENSSL_LIBS!$OPENSSL_LIBS$ac_delim
+ subdirs!$subdirs$ac_delim
+ LIBEVENT_CPPFLAGS!$LIBEVENT_CPPFLAGS$ac_delim
++PKG_CONFIG!$PKG_CONFIG$ac_delim
+ GTK_CFLAGS!$GTK_CFLAGS$ac_delim
+ GTK_LIBS!$GTK_LIBS$ac_delim
+ WITH_GTK_TRUE!$WITH_GTK_TRUE$ac_delim
+@@ -25718,7 +25740,7 @@
+ LTLIBOBJS!$LTLIBOBJS$ac_delim
+ _ACEOF
+
+- if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 88; then
++ if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 86; then
+ break
+ elif $ac_last_try; then
+ { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
diff --git a/net-p2p/transmission-gtk2/Makefile b/net-p2p/transmission-gtk2/Makefile
index 0589c43c972e..2d44d9dbbfac 100644
--- a/net-p2p/transmission-gtk2/Makefile
+++ b/net-p2p/transmission-gtk2/Makefile
@@ -19,7 +19,7 @@ CONFIGURE_ARGS= --without-wx
CUSTOM_SUBDIRS= third-party libtransmission gtk po
DOCSDIR= ${PREFIX}/share/doc/${PORTNAME}${PKGNAMESUFFIX}
-#MAN1= transmission-gtk.1
+MAN1= transmission.1
post-patch: general-patch
@${REINPLACE_CMD} -e 's|TryExec=.*||g ; /^$$/d' \
diff --git a/net-p2p/transmission/Makefile b/net-p2p/transmission/Makefile
index b071e6ab8f77..4a8fc3bac4df 100644
--- a/net-p2p/transmission/Makefile
+++ b/net-p2p/transmission/Makefile
@@ -6,7 +6,7 @@
#
PORTNAME= transmission
-PORTVERSION= 0.90
+PORTVERSION= 0.91
PORTREVISION?= 0
CATEGORIES= net-p2p
MASTER_SITES= http://download.m0k.org/${PORTNAME}/files/
@@ -21,12 +21,12 @@ USE_OPENSSL= yes
GNU_CONFIGURE= yes
CONFIGURE_ENV= CPPFLAGS="-I${LOCALBASE}/include" \
LDFLAGS="-L${LOCALBASE}/lib"
-# --without-gtk broke configure, CUSTOM_SUBDIRS (manual) will taking care of it.
-CONFIGURE_ARGS?=--without-wx
+CONFIGURE_ARGS?=--without-gtk \
+ --without-wx
CUSTOM_SUBDIRS?=third-party libtransmission cli
DOCS= AUTHORS LICENSE NEWS README
-#MAN1?= transmissioncli.1
+MAN1?= transmissioncli.1
general-patch:
@${REINPLACE_CMD} -e \
@@ -36,6 +36,8 @@ general-patch:
${WRKSRC}/configure
@${REINPLACE_CMD} -e 's|%%CUSTOM_SUBDIRS%%|${CUSTOM_SUBDIRS}|g' \
${WRKSRC}/Makefile.in
+ @${FIND} ${WRKSRC} -name Makefile.in | ${XARGS} ${REINPLACE_CMD} -e \
+ 's|$$(OPENSSL_CFLAGS)||g ; s|$$(OPENSSL_LIBS)||g'
post-patch: general-patch
diff --git a/net-p2p/transmission/distinfo b/net-p2p/transmission/distinfo
index cd610c70e49d..89c3e84e6894 100644
--- a/net-p2p/transmission/distinfo
+++ b/net-p2p/transmission/distinfo
@@ -1,3 +1,3 @@
-MD5 (transmission-0.90.tar.bz2) = faebea05e9fc2e5d6c0615037657fd8f
-SHA256 (transmission-0.90.tar.bz2) = d0786700c8d9292d2b310bd4323ff836c8efcc9ff05e86630cbafdc1f2880aa8
-SIZE (transmission-0.90.tar.bz2) = 3038152
+MD5 (transmission-0.91.tar.bz2) = 7ab1d4eb381ac226008541748a06e5cf
+SHA256 (transmission-0.91.tar.bz2) = 2c722e21759d546bf62f30af83ae1d3036b082976088e0ecbda486b573397c69
+SIZE (transmission-0.91.tar.bz2) = 2630160
diff --git a/net-p2p/transmission/files/patch-configure b/net-p2p/transmission/files/patch-configure
new file mode 100644
index 000000000000..8f59562f2100
--- /dev/null
+++ b/net-p2p/transmission/files/patch-configure
@@ -0,0 +1,779 @@
+--- configure.orig 2007-10-29 13:41:33.000000000 -0500
++++ configure 2007-10-29 13:44:51.000000000 -0500
+@@ -880,11 +880,9 @@
+ PTHREAD_CC
+ PTHREAD_LIBS
+ PTHREAD_CFLAGS
+-PKG_CONFIG
+-OPENSSL_CFLAGS
+-OPENSSL_LIBS
+ subdirs
+ LIBEVENT_CPPFLAGS
++PKG_CONFIG
+ GTK_CFLAGS
+ GTK_LIBS
+ WITH_GTK_TRUE
+@@ -971,8 +969,6 @@
+ F77
+ FFLAGS
+ PKG_CONFIG
+-OPENSSL_CFLAGS
+-OPENSSL_LIBS
+ GTK_CFLAGS
+ GTK_LIBS'
+ ac_subdirs_all='third-party/libevent'
+@@ -1592,10 +1588,6 @@
+ F77 Fortran 77 compiler command
+ FFLAGS Fortran 77 compiler flags
+ PKG_CONFIG path to pkg-config utility
+- OPENSSL_CFLAGS
+- C compiler flags for OPENSSL, overriding pkg-config
+- OPENSSL_LIBS
+- linker flags for OPENSSL, overriding pkg-config
+ GTK_CFLAGS C compiler flags for GTK, overriding pkg-config
+ GTK_LIBS linker flags for GTK, overriding pkg-config
+
+@@ -4491,7 +4483,7 @@
+ ;;
+ *-*-irix6*)
+ # Find out which ABI we are using.
+- echo '#line 4494 "configure"' > conftest.$ac_ext
++ echo '#line 4486 "configure"' > conftest.$ac_ext
+ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>&5
+ ac_status=$?
+@@ -7222,11 +7214,11 @@
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:7225: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:7217: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>conftest.err)
+ ac_status=$?
+ cat conftest.err >&5
+- echo "$as_me:7229: \$? = $ac_status" >&5
++ echo "$as_me:7221: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s "$ac_outfile"; then
+ # The compiler can only warn and ignore the option if not recognized
+ # So say no if there are warnings other than the usual output.
+@@ -7490,11 +7482,11 @@
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:7493: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:7485: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>conftest.err)
+ ac_status=$?
+ cat conftest.err >&5
+- echo "$as_me:7497: \$? = $ac_status" >&5
++ echo "$as_me:7489: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s "$ac_outfile"; then
+ # The compiler can only warn and ignore the option if not recognized
+ # So say no if there are warnings other than the usual output.
+@@ -7594,11 +7586,11 @@
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:7597: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:7589: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>out/conftest.err)
+ ac_status=$?
+ cat out/conftest.err >&5
+- echo "$as_me:7601: \$? = $ac_status" >&5
++ echo "$as_me:7593: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s out/conftest2.$ac_objext
+ then
+ # The compiler can only warn and ignore the option if not recognized
+@@ -9059,7 +9051,7 @@
+ libsuff=
+ case "$host_cpu" in
+ x86_64*|s390x*|powerpc64*)
+- echo '#line 9062 "configure"' > conftest.$ac_ext
++ echo '#line 9054 "configure"' > conftest.$ac_ext
+ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>&5
+ ac_status=$?
+@@ -9923,7 +9915,7 @@
+ lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
+ lt_status=$lt_dlunknown
+ cat > conftest.$ac_ext <<EOF
+-#line 9926 "configure"
++#line 9918 "configure"
+ #include "confdefs.h"
+
+ #if HAVE_DLFCN_H
+@@ -10023,7 +10015,7 @@
+ lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
+ lt_status=$lt_dlunknown
+ cat > conftest.$ac_ext <<EOF
+-#line 10026 "configure"
++#line 10018 "configure"
+ #include "confdefs.h"
+
+ #if HAVE_DLFCN_H
+@@ -12359,11 +12351,11 @@
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:12362: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:12354: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>conftest.err)
+ ac_status=$?
+ cat conftest.err >&5
+- echo "$as_me:12366: \$? = $ac_status" >&5
++ echo "$as_me:12358: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s "$ac_outfile"; then
+ # The compiler can only warn and ignore the option if not recognized
+ # So say no if there are warnings other than the usual output.
+@@ -12463,11 +12455,11 @@
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:12466: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:12458: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>out/conftest.err)
+ ac_status=$?
+ cat out/conftest.err >&5
+- echo "$as_me:12470: \$? = $ac_status" >&5
++ echo "$as_me:12462: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s out/conftest2.$ac_objext
+ then
+ # The compiler can only warn and ignore the option if not recognized
+@@ -12999,7 +12991,7 @@
+ libsuff=
+ case "$host_cpu" in
+ x86_64*|s390x*|powerpc64*)
+- echo '#line 13002 "configure"' > conftest.$ac_ext
++ echo '#line 12994 "configure"' > conftest.$ac_ext
+ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>&5
+ ac_status=$?
+@@ -14054,11 +14046,11 @@
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:14057: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:14049: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>conftest.err)
+ ac_status=$?
+ cat conftest.err >&5
+- echo "$as_me:14061: \$? = $ac_status" >&5
++ echo "$as_me:14053: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s "$ac_outfile"; then
+ # The compiler can only warn and ignore the option if not recognized
+ # So say no if there are warnings other than the usual output.
+@@ -14158,11 +14150,11 @@
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:14161: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:14153: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>out/conftest.err)
+ ac_status=$?
+ cat out/conftest.err >&5
+- echo "$as_me:14165: \$? = $ac_status" >&5
++ echo "$as_me:14157: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s out/conftest2.$ac_objext
+ then
+ # The compiler can only warn and ignore the option if not recognized
+@@ -15603,7 +15595,7 @@
+ libsuff=
+ case "$host_cpu" in
+ x86_64*|s390x*|powerpc64*)
+- echo '#line 15606 "configure"' > conftest.$ac_ext
++ echo '#line 15598 "configure"' > conftest.$ac_ext
+ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>&5
+ ac_status=$?
+@@ -16377,11 +16369,11 @@
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:16380: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:16372: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>conftest.err)
+ ac_status=$?
+ cat conftest.err >&5
+- echo "$as_me:16384: \$? = $ac_status" >&5
++ echo "$as_me:16376: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s "$ac_outfile"; then
+ # The compiler can only warn and ignore the option if not recognized
+ # So say no if there are warnings other than the usual output.
+@@ -16645,11 +16637,11 @@
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:16648: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:16640: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>conftest.err)
+ ac_status=$?
+ cat conftest.err >&5
+- echo "$as_me:16652: \$? = $ac_status" >&5
++ echo "$as_me:16644: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s "$ac_outfile"; then
+ # The compiler can only warn and ignore the option if not recognized
+ # So say no if there are warnings other than the usual output.
+@@ -16749,11 +16741,11 @@
+ -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+ -e 's:$: $lt_compiler_flag:'`
+- (eval echo "\"\$as_me:16752: $lt_compile\"" >&5)
++ (eval echo "\"\$as_me:16744: $lt_compile\"" >&5)
+ (eval "$lt_compile" 2>out/conftest.err)
+ ac_status=$?
+ cat out/conftest.err >&5
+- echo "$as_me:16756: \$? = $ac_status" >&5
++ echo "$as_me:16748: \$? = $ac_status" >&5
+ if (exit $ac_status) && test -s out/conftest2.$ac_objext
+ then
+ # The compiler can only warn and ignore the option if not recognized
+@@ -18214,7 +18206,7 @@
+ libsuff=
+ case "$host_cpu" in
+ x86_64*|s390x*|powerpc64*)
+- echo '#line 18217 "configure"' > conftest.$ac_ext
++ echo '#line 18209 "configure"' > conftest.$ac_ext
+ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>&5
+ ac_status=$?
+@@ -21670,6 +21662,148 @@
+
+
+
++
++{ echo "$as_me:$LINENO: checking for CRYPTO_new_ex_data in -lcrypto" >&5
++echo $ECHO_N "checking for CRYPTO_new_ex_data in -lcrypto... $ECHO_C" >&6; }
++if test "${ac_cv_lib_crypto_CRYPTO_new_ex_data+set}" = set; then
++ echo $ECHO_N "(cached) $ECHO_C" >&6
++else
++ ac_check_lib_save_LIBS=$LIBS
++LIBS="-lcrypto $LIBS"
++cat >conftest.$ac_ext <<_ACEOF
++/* confdefs.h. */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h. */
++
++/* Override any GCC internal prototype to avoid an error.
++ Use char because int might match the return type of a GCC
++ builtin and then its argument prototype would still apply. */
++#ifdef __cplusplus
++extern "C"
++#endif
++char CRYPTO_new_ex_data ();
++int
++main ()
++{
++return CRYPTO_new_ex_data ();
++ ;
++ return 0;
++}
++_ACEOF
++rm -f conftest.$ac_objext conftest$ac_exeext
++if { (ac_try="$ac_link"
++case "(($ac_try" in
++ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
++ *) ac_try_echo=$ac_try;;
++esac
++eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
++ (eval "$ac_link") 2>conftest.er1
++ ac_status=$?
++ grep -v '^ *+' conftest.er1 >conftest.err
++ rm -f conftest.er1
++ cat conftest.err >&5
++ echo "$as_me:$LINENO: \$? = $ac_status" >&5
++ (exit $ac_status); } && {
++ test -z "$ac_c_werror_flag" ||
++ test ! -s conftest.err
++ } && test -s conftest$ac_exeext &&
++ $as_test_x conftest$ac_exeext; then
++ ac_cv_lib_crypto_CRYPTO_new_ex_data=yes
++else
++ echo "$as_me: failed program was:" >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
++ ac_cv_lib_crypto_CRYPTO_new_ex_data=no
++fi
++
++rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
++ conftest$ac_exeext conftest.$ac_ext
++LIBS=$ac_check_lib_save_LIBS
++fi
++{ echo "$as_me:$LINENO: result: $ac_cv_lib_crypto_CRYPTO_new_ex_data" >&5
++echo "${ECHO_T}$ac_cv_lib_crypto_CRYPTO_new_ex_data" >&6; }
++if test $ac_cv_lib_crypto_CRYPTO_new_ex_data = yes; then
++ cat >>confdefs.h <<_ACEOF
++#define HAVE_LIBCRYPTO 1
++_ACEOF
++
++ LIBS="-lcrypto $LIBS"
++
++fi
++
++
++{ echo "$as_me:$LINENO: checking for SSL_library_init in -lssl" >&5
++echo $ECHO_N "checking for SSL_library_init in -lssl... $ECHO_C" >&6; }
++if test "${ac_cv_lib_ssl_SSL_library_init+set}" = set; then
++ echo $ECHO_N "(cached) $ECHO_C" >&6
++else
++ ac_check_lib_save_LIBS=$LIBS
++LIBS="-lssl $LIBS"
++cat >conftest.$ac_ext <<_ACEOF
++/* confdefs.h. */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h. */
++
++/* Override any GCC internal prototype to avoid an error.
++ Use char because int might match the return type of a GCC
++ builtin and then its argument prototype would still apply. */
++#ifdef __cplusplus
++extern "C"
++#endif
++char SSL_library_init ();
++int
++main ()
++{
++return SSL_library_init ();
++ ;
++ return 0;
++}
++_ACEOF
++rm -f conftest.$ac_objext conftest$ac_exeext
++if { (ac_try="$ac_link"
++case "(($ac_try" in
++ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
++ *) ac_try_echo=$ac_try;;
++esac
++eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
++ (eval "$ac_link") 2>conftest.er1
++ ac_status=$?
++ grep -v '^ *+' conftest.er1 >conftest.err
++ rm -f conftest.er1
++ cat conftest.err >&5
++ echo "$as_me:$LINENO: \$? = $ac_status" >&5
++ (exit $ac_status); } && {
++ test -z "$ac_c_werror_flag" ||
++ test ! -s conftest.err
++ } && test -s conftest$ac_exeext &&
++ $as_test_x conftest$ac_exeext; then
++ ac_cv_lib_ssl_SSL_library_init=yes
++else
++ echo "$as_me: failed program was:" >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
++ ac_cv_lib_ssl_SSL_library_init=no
++fi
++
++rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
++ conftest$ac_exeext conftest.$ac_ext
++LIBS=$ac_check_lib_save_LIBS
++fi
++{ echo "$as_me:$LINENO: result: $ac_cv_lib_ssl_SSL_library_init" >&5
++echo "${ECHO_T}$ac_cv_lib_ssl_SSL_library_init" >&6; }
++if test $ac_cv_lib_ssl_SSL_library_init = yes; then
++ cat >>confdefs.h <<_ACEOF
++#define HAVE_LIBSSL 1
++_ACEOF
++
++ LIBS="-lssl $LIBS"
++
++fi
++
+ { echo "$as_me:$LINENO: checking for library containing socket" >&5
+ echo $ECHO_N "checking for library containing socket... $ECHO_C" >&6; }
+ if test "${ac_cv_search_socket+set}" = set; then
+@@ -21838,6 +21972,123 @@
+
+
+
++{ echo "$as_me:$LINENO: checking how to copy va_list" >&5
++echo $ECHO_N "checking how to copy va_list... $ECHO_C" >&6; }
++cat >conftest.$ac_ext <<_ACEOF
++/* confdefs.h. */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h. */
++#include <stdarg.h>
++int
++main ()
++{
++va_list ap1, ap2; va_copy(ap1, ap2);
++ ;
++ return 0;
++}
++_ACEOF
++rm -f conftest.$ac_objext conftest$ac_exeext
++if { (ac_try="$ac_link"
++case "(($ac_try" in
++ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
++ *) ac_try_echo=$ac_try;;
++esac
++eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
++ (eval "$ac_link") 2>conftest.er1
++ ac_status=$?
++ grep -v '^ *+' conftest.er1 >conftest.err
++ rm -f conftest.er1
++ cat conftest.err >&5
++ echo "$as_me:$LINENO: \$? = $ac_status" >&5
++ (exit $ac_status); } && {
++ test -z "$ac_c_werror_flag" ||
++ test ! -s conftest.err
++ } && test -s conftest$ac_exeext &&
++ $as_test_x conftest$ac_exeext; then
++ { echo "$as_me:$LINENO: result: va_copy" >&5
++echo "${ECHO_T}va_copy" >&6; }
++else
++ echo "$as_me: failed program was:" >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
++
++
++ cat >conftest.$ac_ext <<_ACEOF
++/* confdefs.h. */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h. */
++#include <stdarg.h>
++int
++main ()
++{
++va_list ap1, ap2; __va_copy(ap1, ap2);
++ ;
++ return 0;
++}
++_ACEOF
++rm -f conftest.$ac_objext conftest$ac_exeext
++if { (ac_try="$ac_link"
++case "(($ac_try" in
++ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
++ *) ac_try_echo=$ac_try;;
++esac
++eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
++ (eval "$ac_link") 2>conftest.er1
++ ac_status=$?
++ grep -v '^ *+' conftest.er1 >conftest.err
++ rm -f conftest.er1
++ cat conftest.err >&5
++ echo "$as_me:$LINENO: \$? = $ac_status" >&5
++ (exit $ac_status); } && {
++ test -z "$ac_c_werror_flag" ||
++ test ! -s conftest.err
++ } && test -s conftest$ac_exeext &&
++ $as_test_x conftest$ac_exeext; then
++ cat >>confdefs.h <<\_ACEOF
++#define va_copy __va_copy
++_ACEOF
++
++ { echo "$as_me:$LINENO: result: __va_copy" >&5
++echo "${ECHO_T}__va_copy" >&6; }
++else
++ echo "$as_me: failed program was:" >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
++ cat >>confdefs.h <<\_ACEOF
++#define va_copy(dest,src) memcpy(&dest,&src,sizeof(va_list))
++_ACEOF
++
++ { echo "$as_me:$LINENO: result: memcpy" >&5
++echo "${ECHO_T}memcpy" >&6; }
++
++fi
++
++rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
++ conftest$ac_exeext conftest.$ac_ext
++
++fi
++
++rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
++ conftest$ac_exeext conftest.$ac_ext
++
++
++
++subdirs="$subdirs third-party/libevent"
++
++{ echo "$as_me:$LINENO: invoking libevent's configure script" >&5
++echo "$as_me: invoking libevent's configure script" >&6;}
++LIBEVENT_CPPFLAGS="-I\$(top_srcdir)/third-party/libevent"
++
++
++
++
++have_gtk=yes
++
++
+ if test "x$ac_cv_env_PKG_CONFIG_set" != "xset"; then
+ if test -n "$ac_tool_prefix"; then
+ # Extract the first word of "${ac_tool_prefix}pkg-config", so it can be a program name with args.
+@@ -21958,234 +22209,6 @@
+ fi
+
+ pkg_failed=no
+-{ echo "$as_me:$LINENO: checking for OPENSSL" >&5
+-echo $ECHO_N "checking for OPENSSL... $ECHO_C" >&6; }
+-
+-if test -n "$PKG_CONFIG"; then
+- if test -n "$OPENSSL_CFLAGS"; then
+- pkg_cv_OPENSSL_CFLAGS="$OPENSSL_CFLAGS"
+- else
+- if test -n "$PKG_CONFIG" && \
+- { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"openssl >= 0.9.8\"") >&5
+- ($PKG_CONFIG --exists --print-errors "openssl >= 0.9.8") 2>&5
+- ac_status=$?
+- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+- (exit $ac_status); }; then
+- pkg_cv_OPENSSL_CFLAGS=`$PKG_CONFIG --cflags "openssl >= 0.9.8" 2>/dev/null`
+-else
+- pkg_failed=yes
+-fi
+- fi
+-else
+- pkg_failed=untried
+-fi
+-if test -n "$PKG_CONFIG"; then
+- if test -n "$OPENSSL_LIBS"; then
+- pkg_cv_OPENSSL_LIBS="$OPENSSL_LIBS"
+- else
+- if test -n "$PKG_CONFIG" && \
+- { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"openssl >= 0.9.8\"") >&5
+- ($PKG_CONFIG --exists --print-errors "openssl >= 0.9.8") 2>&5
+- ac_status=$?
+- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+- (exit $ac_status); }; then
+- pkg_cv_OPENSSL_LIBS=`$PKG_CONFIG --libs "openssl >= 0.9.8" 2>/dev/null`
+-else
+- pkg_failed=yes
+-fi
+- fi
+-else
+- pkg_failed=untried
+-fi
+-
+-
+-
+-if test $pkg_failed = yes; then
+-
+-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+- _pkg_short_errors_supported=yes
+-else
+- _pkg_short_errors_supported=no
+-fi
+- if test $_pkg_short_errors_supported = yes; then
+- OPENSSL_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "openssl >= 0.9.8"`
+- else
+- OPENSSL_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "openssl >= 0.9.8"`
+- fi
+- # Put the nasty error message in config.log where it belongs
+- echo "$OPENSSL_PKG_ERRORS" >&5
+-
+- { { echo "$as_me:$LINENO: error: Package requirements (openssl >= 0.9.8) were not met:
+-
+-$OPENSSL_PKG_ERRORS
+-
+-Consider adjusting the PKG_CONFIG_PATH environment variable if you
+-installed software in a non-standard prefix.
+-
+-Alternatively, you may set the environment variables OPENSSL_CFLAGS
+-and OPENSSL_LIBS to avoid the need to call pkg-config.
+-See the pkg-config man page for more details.
+-" >&5
+-echo "$as_me: error: Package requirements (openssl >= 0.9.8) were not met:
+-
+-$OPENSSL_PKG_ERRORS
+-
+-Consider adjusting the PKG_CONFIG_PATH environment variable if you
+-installed software in a non-standard prefix.
+-
+-Alternatively, you may set the environment variables OPENSSL_CFLAGS
+-and OPENSSL_LIBS to avoid the need to call pkg-config.
+-See the pkg-config man page for more details.
+-" >&2;}
+- { (exit 1); exit 1; }; }
+-elif test $pkg_failed = untried; then
+- { { echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old. Make sure it
+-is in your PATH or set the PKG_CONFIG environment variable to the full
+-path to pkg-config.
+-
+-Alternatively, you may set the environment variables OPENSSL_CFLAGS
+-and OPENSSL_LIBS to avoid the need to call pkg-config.
+-See the pkg-config man page for more details.
+-
+-To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
+-See \`config.log' for more details." >&5
+-echo "$as_me: error: The pkg-config script could not be found or is too old. Make sure it
+-is in your PATH or set the PKG_CONFIG environment variable to the full
+-path to pkg-config.
+-
+-Alternatively, you may set the environment variables OPENSSL_CFLAGS
+-and OPENSSL_LIBS to avoid the need to call pkg-config.
+-See the pkg-config man page for more details.
+-
+-To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
+-See \`config.log' for more details." >&2;}
+- { (exit 1); exit 1; }; }
+-else
+- OPENSSL_CFLAGS=$pkg_cv_OPENSSL_CFLAGS
+- OPENSSL_LIBS=$pkg_cv_OPENSSL_LIBS
+- { echo "$as_me:$LINENO: result: yes" >&5
+-echo "${ECHO_T}yes" >&6; }
+- :
+-fi
+-
+-
+-{ echo "$as_me:$LINENO: checking how to copy va_list" >&5
+-echo $ECHO_N "checking how to copy va_list... $ECHO_C" >&6; }
+-cat >conftest.$ac_ext <<_ACEOF
+-/* confdefs.h. */
+-_ACEOF
+-cat confdefs.h >>conftest.$ac_ext
+-cat >>conftest.$ac_ext <<_ACEOF
+-/* end confdefs.h. */
+-#include <stdarg.h>
+-int
+-main ()
+-{
+-va_list ap1, ap2; va_copy(ap1, ap2);
+- ;
+- return 0;
+-}
+-_ACEOF
+-rm -f conftest.$ac_objext conftest$ac_exeext
+-if { (ac_try="$ac_link"
+-case "(($ac_try" in
+- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+- *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+- (eval "$ac_link") 2>conftest.er1
+- ac_status=$?
+- grep -v '^ *+' conftest.er1 >conftest.err
+- rm -f conftest.er1
+- cat conftest.err >&5
+- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+- (exit $ac_status); } && {
+- test -z "$ac_c_werror_flag" ||
+- test ! -s conftest.err
+- } && test -s conftest$ac_exeext &&
+- $as_test_x conftest$ac_exeext; then
+- { echo "$as_me:$LINENO: result: va_copy" >&5
+-echo "${ECHO_T}va_copy" >&6; }
+-else
+- echo "$as_me: failed program was:" >&5
+-sed 's/^/| /' conftest.$ac_ext >&5
+-
+-
+-
+- cat >conftest.$ac_ext <<_ACEOF
+-/* confdefs.h. */
+-_ACEOF
+-cat confdefs.h >>conftest.$ac_ext
+-cat >>conftest.$ac_ext <<_ACEOF
+-/* end confdefs.h. */
+-#include <stdarg.h>
+-int
+-main ()
+-{
+-va_list ap1, ap2; __va_copy(ap1, ap2);
+- ;
+- return 0;
+-}
+-_ACEOF
+-rm -f conftest.$ac_objext conftest$ac_exeext
+-if { (ac_try="$ac_link"
+-case "(($ac_try" in
+- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+- *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+- (eval "$ac_link") 2>conftest.er1
+- ac_status=$?
+- grep -v '^ *+' conftest.er1 >conftest.err
+- rm -f conftest.er1
+- cat conftest.err >&5
+- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+- (exit $ac_status); } && {
+- test -z "$ac_c_werror_flag" ||
+- test ! -s conftest.err
+- } && test -s conftest$ac_exeext &&
+- $as_test_x conftest$ac_exeext; then
+- cat >>confdefs.h <<\_ACEOF
+-#define va_copy __va_copy
+-_ACEOF
+-
+- { echo "$as_me:$LINENO: result: __va_copy" >&5
+-echo "${ECHO_T}__va_copy" >&6; }
+-else
+- echo "$as_me: failed program was:" >&5
+-sed 's/^/| /' conftest.$ac_ext >&5
+-
+- cat >>confdefs.h <<\_ACEOF
+-#define va_copy(dest,src) memcpy(&dest,&src,sizeof(va_list))
+-_ACEOF
+-
+- { echo "$as_me:$LINENO: result: memcpy" >&5
+-echo "${ECHO_T}memcpy" >&6; }
+-
+-fi
+-
+-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+- conftest$ac_exeext conftest.$ac_ext
+-
+-fi
+-
+-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+- conftest$ac_exeext conftest.$ac_ext
+-
+-
+-
+-subdirs="$subdirs third-party/libevent"
+-
+-{ echo "$as_me:$LINENO: invoking libevent's configure script" >&5
+-echo "$as_me: invoking libevent's configure script" >&6;}
+-LIBEVENT_CPPFLAGS="-I\$(top_srcdir)/third-party/libevent"
+-
+-
+-
+-
+-have_gtk=yes
+-
+-pkg_failed=no
+ { echo "$as_me:$LINENO: checking for GTK" >&5
+ echo $ECHO_N "checking for GTK... $ECHO_C" >&6; }
+
+@@ -24924,8 +24947,9 @@
+ { (exit 1); exit 1; }; }
+ fi
+
++if test "x$use_gtk" = "xyes"; then
+ ac_config_commands="$ac_config_commands po/stamp-it"
+-
++fi
+
+ if test -z "${HAVE_WX_TRUE}" && test -z "${HAVE_WX_FALSE}"; then
+ { { echo "$as_me:$LINENO: error: conditional \"HAVE_WX\" was never defined.
+@@ -25642,11 +25666,9 @@
+ PTHREAD_CC!$PTHREAD_CC$ac_delim
+ PTHREAD_LIBS!$PTHREAD_LIBS$ac_delim
+ PTHREAD_CFLAGS!$PTHREAD_CFLAGS$ac_delim
+-PKG_CONFIG!$PKG_CONFIG$ac_delim
+-OPENSSL_CFLAGS!$OPENSSL_CFLAGS$ac_delim
+-OPENSSL_LIBS!$OPENSSL_LIBS$ac_delim
+ subdirs!$subdirs$ac_delim
+ LIBEVENT_CPPFLAGS!$LIBEVENT_CPPFLAGS$ac_delim
++PKG_CONFIG!$PKG_CONFIG$ac_delim
+ GTK_CFLAGS!$GTK_CFLAGS$ac_delim
+ GTK_LIBS!$GTK_LIBS$ac_delim
+ WITH_GTK_TRUE!$WITH_GTK_TRUE$ac_delim
+@@ -25718,7 +25740,7 @@
+ LTLIBOBJS!$LTLIBOBJS$ac_delim
+ _ACEOF
+
+- if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 88; then
++ if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 86; then
+ break
+ elif $ac_last_try; then
+ { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5